<?php
/*
* ARTURO: SEGUNDA PAGINA DE FACTURA 
*/
defined( 'ABSPATH' ) || exit;

add_action( 'wpo_wcpdf_after_document', 'factura2',10,4 );

function factura2($tipo,$orden){
	$newthis = new WPO\WC\PDF_Invoices\Documents\Invoice;
	$newthis->order=$orden;
//$item=$newthis->get_order_items();
	//print_r($item);
	$md = $orden->get_meta( '_wcpdf_invoice_settings', true );
	$fecha=$orden->get_meta('_wcpdf_invoice_date');//**
	global $wpdb;
	$options = get_option('_invoices_options'); //aqui esta la raiz de vertrag y lizenzgeber
	if($options['mostrar2factura']=="S"){
?>
	<hr style="page-break-after: always;border: none;margin: 0;padding: 0;">
	<table class="head container">
		<tr>
			<td class="header">
				<?php
			if ( $newthis->has_header_logo() ) {
				$newthis->header_logo();
			} else {
				echo $newthis->get_title();
			}
				?>
			</td>
			<td class="shop-info">
				<?php do_action( 'wpo_wcpdf_before_shop_name', $newthis->get_type(), $newthis->order ); ?>
				<div class="shop-name"><h3><?php $newthis->shop_name(); ?></h3></div>
				<?php do_action( 'wpo_wcpdf_after_shop_name', $newthis->get_type(), $newthis->order ); ?>
				<?php do_action( 'wpo_wcpdf_before_shop_address', $newthis->get_type(), $newthis->order ); ?>
				<div class="shop-address"><?php $newthis->shop_address(); ?></div>
				<?php do_action( 'wpo_wcpdf_after_shop_address', $newthis->get_type(), $newthis->order ); ?>
				<div class="shop-name"><?php echo "MSPN:".$options["mspartner"]; ?></div>
			</td>
		</tr>
	</table>

	<!-- Lizenz License-->
	<h1 class="document-type-label"><?php echo _e( 'License', 'wao-tiendas' )?></h1>
<table class="order-data-addresses">
	<tr>
		<td class="address billing-address">
			<!-- <h3><?php _e( 'Billing Address:', 'woocommerce-pdf-invoices-packing-slips' ); ?></h3> -->
			<?php do_action( 'wpo_wcpdf_before_billing_address', $newthis->get_type(), $newthis->order ); ?>
			<?php $newthis->billing_address(); ?>
			<?php do_action( 'wpo_wcpdf_after_billing_address', $newthis->get_type(), $newthis->order ); ?>
			<?php if ( isset( $newthis->settings['display_email'] ) ) : ?>
				<div class="billing-email"><?php $newthis->billing_email(); ?></div>
			<?php endif; ?>
			<?php if ( isset( $newthis->settings['display_phone'] ) ) : ?>
				<div class="billing-phone"><?php $newthis->billing_phone(); ?></div>
			<?php endif; ?>
		</td>
		<td class="address shipping-address">
			<?php if ( $newthis->show_shipping_address() ) : ?>
				<h3><?php _e( 'Ship To:', 'woocommerce-pdf-invoices-packing-slips' ); ?></h3>
				<?php do_action( 'wpo_wcpdf_before_shipping_address', $newthis->get_type(), $newthis->order ); ?>
				<?php $this->shipping_address(); ?>
				<?php do_action( 'wpo_wcpdf_after_shipping_address', $newthis->get_type(), $newthis->order ); ?>
				<?php if ( isset( $newthis->settings['display_phone'] ) ) : ?>
					<div class="shipping-phone"><?php $newthis->shipping_phone(); ?></div>
				<?php endif; ?>
			<?php endif; ?>
		</td>
		<td class="order-data">
			<table>
				<?php do_action( 'wpo_wcpdf_before_order_data', $newthis->get_type(), $newthis->order ); ?>
				<?php if ( isset( $newthis->settings['display_number'] ) ) : ?>
					<tr class="invoice-number">
						<th><?php echo $newthis->get_number_title(); ?></th>
						<td><?php $newthis->invoice_number(); echo $orden->get_meta( '_wcpdf_invoice_number'); ?></td>
					</tr>
				<?php endif; ?>
				<?php if ( isset( $newthis->settings['display_date'] ) ) : ?>
					<tr class="invoice-date">
						<th><?php echo $newthis->get_date_title(); ?></th>
						<td><?php $newthis->invoice_date();  echo date("j F Y",$fecha);?></td>
					</tr>
				<?php endif; ?>
				<tr class="order-number">
					<th><?php _e( 'Order Number:', 'woocommerce-pdf-invoices-packing-slips' ); ?></th>
					<td><?php $newthis->order_number(); ?></td>
				</tr>
				<tr class="order-date">
					<th><?php _e( 'Order Date:', 'woocommerce-pdf-invoices-packing-slips' ); ?></th>
					<td><?php $newthis->order_date(); ?></td>
				</tr>
				<tr class="order-date">
					<th><?php _e( 'USt-IdNr:', 'woocommerce-pdf-invoices-packing-slips' ); ?></th>
					<td><?php $usd=get_option('_invoices_options'); echo $usd['ustidnr'] ?></td>
				</tr>
				<?php do_action( 'wpo_wcpdf_after_order_data', $newthis->get_type(), $newthis->order ); ?>
			</table>			
		</td>
	</tr>
</table>

	<h1>
	<?php  _e( 'License overview', 'wao-tiendas')?>	
	</h1><!--Produkt--><!--Vertrag--><!--Lizenzgeber--><!--Menge-->
	<table class="order-details">
		<thead>
			<tr>
				<th width=35%><?php _e('Product', 'wao-tiendas' ); ?></th>
				<th width=20%><?php _e('Contract', 'wao-tiendas' ); ?></th>
				<th width=35%><?php _e('Licensor', 'wao-tiendas' ); ?></th>
				<th width=10%><?php _e('Quantity', 'wao-tiendas' ); ?></th>
			</tr>
		</thead>
	<tbody>
		<?php foreach ( $newthis->get_order_items() as $item_id => $item ) : ?>
		<?php $lineas=$item['item']->get_meta_data();  
			foreach($lineas as $linea){
				$dato= $linea->get_data();
				if($dato['key']=="_vertrag") {$vertrag=$dato['value'];}
				if($dato['key']=="_lizenzgeber") {$lizenzgeber=$dato['value'];}
			}
			//SI NO SE REGISTRO VERTRAG Y/O LIZENZGEBER, GENERAR RANDOMICAMENTE E INSERTAR EN post_meta_data
				if (null==$vertrag){
					if ($options['genverliz']=="S"){
						$num = rand(100000,999999);
						$vertrag=$options['vertrag'].$num;
					}else{//else de si genverliz=S
						$atributos = get_post_meta($item['product_id'],'_product_attributes',TRUE);
						if(null!=$atributos['vertrag']['value']){
							$vertrag = $atributos['vertrag']['value'];						
						}else{
							$vertrag = "Generic";						
						}
					}//fin de si genverliz=S
					$tabla= $wpdb->prefix."woocommerce_order_itemmeta";
					$wpdb->insert( $tabla,array(
									"meta_id" => 0,
      								"order_item_id" => $item['item_id'], 
      								"meta_key" => "_vertrag",
      								"meta_value" => $vertrag));
				}
				if (null==$lizenzgeber){
					if ($options['genverliz']=="S"){
						if(stristr('windows', $item['name']) === FALSE) {
							if(stristr('adobe', $item['name']) === FALSE) {
								if(stristr('corel', $item['name']) === FALSE) {
									$lizenzgeber = "Microsoft ".$options['lizenzgeber'];
								}else{
									$lizenzgeber = "Corel ".$options['lizenzgeber'];
								}
							}else{
								$lizenzgeber = "Adobe ".$options['lizenzgeber'];
							}
						}else{
							$lizenzgeber = "Microsoft ".$options['lizenzgeber'];
						}
					}else{//else de si genverliz=S
						$atributos = get_post_meta($item['product_id'],'_product_attributes',TRUE);
						if(null!=$atributos['lizenzgeber']['value']){
							$lizenzgeber = $atributos['lizenzgeber']['value'];						
						}else{
							$lizenzgeber = "Generic";						
						}
					}//fin de si genverliz=S
					$tabla= $wpdb->prefix."woocommerce_order_itemmeta";
					$wpdb->insert( $tabla,array(
									"meta_id" => 0,
      								"order_item_id" => $item['item_id'], 
      								"meta_key" => "_lizenzgeber",
      								"meta_value" => $lizenzgeber));
				}
				//FIN DE LA FUNCION PARA GENERAR RANDOMICAMENTE
		?>
			<tr class="<?php echo apply_filters( 'wpo_wcpdf_item_row_class', 'item-'.$item_id, $newthis->get_type(), $newthis->order, $item_id ); ?>">
				<td class="product">
					<?php $description_label = __( 'Description', 'woocommerce-pdf-invoices-packing-slips' ); // registering alternate label translation ?>
					<span class="item-name"><?php echo $item['name']; ?></span>
					<?php do_action( 'wpo_wcpdf_before_item_meta', $newthis->get_type(), $item, $newthis->order  ); ?>
					<span class="item-meta"><?php //echo $item['meta']; ?></span>
					<?php do_action( 'wpo_wcpdf_after_item_meta', $newthis->get_type(), $item, $newthis->order  ); ?>
				</td>
				<td class="price"><?php echo $vertrag; ?></td>
				<td class="quantity"><?php echo $lizenzgeber; ?></td>
				<td class="quantity"><?php echo $item['quantity']; ?></td>
			</tr>
		<?php endforeach; ?>
	</tbody>
	</table>
	<!-- Das Übertragungsdatum enspricht dem Rechnungsdatum.-->
	<p><?php _e('The transfer date corresponds to the invoice date.', 'wao-tiendas' ); ?></p>

	<div class="bottom-spacer"></div>
<?php
	  //$options = get_option( '_invoices_options' );
	  //return $options['direccion_factura'];
		$md['extra_1']['default']=str_replace("[nombreshop]",$md['shop_name']['default'],$md['extra_1']['default']);
		$md['extra_1']['default']=str_replace("[direccion]",$options['direccion_factura'],$md['extra_1']['default']);
		$md['extra_1']['default']=str_replace("[direccion2]",$options['direccion2_factura'],$md['extra_1']['default']);
		$md['extra_1']['default']=str_replace("[mspartner]",$options['mspartner'],$md['extra_1']['default']);
		$md['extra_1']['default']=str_replace("[ustidnr]",$options['ustidnr'],$md['extra_1']['default']);
		$md['extra_1']['default']=str_replace("[correo]",$options['correo_factura'],$md['extra_1']['default']);
		$md['extra_1']['default']=str_replace("[urltienda]",get_option('siteurl'),$md['extra_1']['default']);

		$md['extra_2']['default']=str_replace("[nombreshop]",$md['shop_name']['default'],$md['extra_2']['default']);
		$md['extra_2']['default']=str_replace("[direccion]",$options['direccion_factura'],$md['extra_2']['default']);
		$md['extra_2']['default']=str_replace("[direccion2]",$options['direccion2_factura'],$md['extra_2']['default']);
		$md['extra_2']['default']=str_replace("[mspartner]",$options['mspartner'],$md['extra_2']['default']);
		$md['extra_2']['default']=str_replace("[ustidnr]",$options['ustidnr'],$md['extra_2']['default']);
		$md['extra_2']['default']=str_replace("[correo]",$options['correo_factura'],$md['extra_2']['default']);
		$md['extra_2']['default']=str_replace("[urltienda]",get_option('siteurl'),$md['extra_2']['default']);

		$md['extra_3']['default']=str_replace("[nombreshop]",$md['shop_name']['default'],$md['extra_3']['default']);
		$md['extra_3']['default']=str_replace("[direccion]",$options['direccion_factura'],$md['extra_3']['default']);
		$md['extra_3']['default']=str_replace("[direccion2]",$options['direccion2_factura'],$md['extra_3']['default']);
		$md['extra_3']['default']=str_replace("[mspartner]",$options['mspartner'],$md['extra_3']['default']);
		$md['extra_3']['default']=str_replace("[ustidnr]",$options['ustidnr'],$md['extra_3']['default']);
		$md['extra_3']['default']=str_replace("[correo]",$options['correo_factura'],$md['extra_3']['default']);
		$md['extra_3']['default']=str_replace("[urltienda]",get_option('siteurl'),$md['extra_3']['default']);
?>
	<div id="footer"> 
		<table width=100%>
			<tr>
				<td width=33%>
					<?php echo $md['extra_1']['default'];?>
				</td>
				<td width=33%>
					<?php echo $md['extra_2']['default'];?>
				</td>
				<td width=33%>
					<?php echo $md['extra_3']['default'];?>
				</td>
			
			</tr>
		</table>
	</div>


<?php 
	} //Fin si mostrar2factura
} //Fin funcion factura2
/////// FIN: SEGUNDA PAGINA DE FACTURA 
